#include <Application.h>
#include <StringView.h>
#include <Window.h>


class HelloWindow : public BWindow {
public:
	HelloWindow()
		:
		BWindow(BRect(100, 100, 500, 500), "Hello, Haiku!", B_TITLED_WINDOW, 0)
	{
		fHelloString = new BStringView(BRect(100, 100, 200, 200), 
			"fHelloString", "Hello, Haiku!");
		
		AddChild(fHelloString);
	}
		
		
	bool 
	QuitRequested()
	{
		be_app->PostMessage(B_QUIT_REQUESTED);
		return true;	
	}
	
private:
	BStringView* fHelloString;
	
};


class HelloHaiku : public BApplication {
public:
	HelloHaiku()
		:
		BApplication("application/HelloHaiku")
	{
		fWindow = new HelloWindow();
		fWindow->Show();
	}
	
private:
	HelloWindow* fWindow;
	
};


int
main()
{
	HelloHaiku* app = new HelloHaiku();
	app->Run();
	delete app;
	return 0;
}
